org.apache.hc.client5.http.impl.io

## Class ManagedHttpClientConnectionFactory

- java.lang.Object
- - org.apache.hc.client5.http.impl.io.ManagedHttpClientConnectionFactory

All Implemented Interfaces:
  HttpConnectionFactory<ManagedHttpClientConnection>

    @Contract(threading=STATELESS)
    public class ManagedHttpClientConnectionFactory
    extends Object
    implements HttpConnectionFactory<ManagedHttpClientConnection>

Factory for `ManagedHttpClientConnection` instances.

Since:
  4.3

### Field Summary

Fields
`static ManagedHttpClientConnectionFactory` `INSTANCE`

### Constructor Summary

Constructors
Constructor and Description
`ManagedHttpClientConnectionFactory()`
`ManagedHttpClientConnectionFactory(H1Config h1Config, CharCodingConfig charCodingConfig, HttpMessageParserFactory<ClassicHttpResponse> responseParserFactory)`
`ManagedHttpClientConnectionFactory(H1Config h1Config, CharCodingConfig charCodingConfig, HttpMessageWriterFactory<ClassicHttpRequest> requestWriterFactory, HttpMessageParserFactory<ClassicHttpResponse> responseParserFactory)`
`ManagedHttpClientConnectionFactory(H1Config h1Config, CharCodingConfig charCodingConfig, HttpMessageWriterFactory<ClassicHttpRequest> requestWriterFactory, HttpMessageParserFactory<ClassicHttpResponse> responseParserFactory, ContentLengthStrategy incomingContentStrategy, ContentLengthStrategy outgoingContentStrategy)`

### Method Summary

Methods
`ManagedHttpClientConnection` `createConnection(Socket socket)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INSTANCE

    public static final ManagedHttpClientConnectionFactory INSTANCE

### Constructor Detail

#### ManagedHttpClientConnectionFactory

    public ManagedHttpClientConnectionFactory(H1Config h1Config,
                                      CharCodingConfig charCodingConfig,
                                      HttpMessageWriterFactory<ClassicHttpRequest> requestWriterFactory,
                                      HttpMessageParserFactory<ClassicHttpResponse> responseParserFactory,
                                      ContentLengthStrategy incomingContentStrategy,
                                      ContentLengthStrategy outgoingContentStrategy)

#### ManagedHttpClientConnectionFactory

    public ManagedHttpClientConnectionFactory(H1Config h1Config,
                                      CharCodingConfig charCodingConfig,
                                      HttpMessageWriterFactory<ClassicHttpRequest> requestWriterFactory,
                                      HttpMessageParserFactory<ClassicHttpResponse> responseParserFactory)

#### ManagedHttpClientConnectionFactory

    public ManagedHttpClientConnectionFactory(H1Config h1Config,
                                      CharCodingConfig charCodingConfig,
                                      HttpMessageParserFactory<ClassicHttpResponse> responseParserFactory)

#### ManagedHttpClientConnectionFactory

    public ManagedHttpClientConnectionFactory()

### Method Detail

#### createConnection

    public ManagedHttpClientConnection createConnection(Socket socket)
                                                 throws IOException

Specified by:
  `createConnection` in interface `HttpConnectionFactory<ManagedHttpClientConnection>`
Throws:
  `IOException`